std::underflow_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::underflow_error:
[legend]

## Public Member Functions

| underflow_error (const string &__arg) _GLIBCXX_TXN_SAFE
| underflow_error (const char *) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Thrown to indicate arithmetic underflow.

Definition at line 252 of file stdexcept.

## Member Function Documentation

## what()

virtual const char* std::runtime_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- stdexcept